package com.tuoheng.admin.enums.code.inspectionfile;

/**
 *  修改巡检任务问题类型返回码
 *      模块代码：24（问题管理）
 *      接口代码：08 （修改巡检任务问题类型）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-16
 */
public enum EditInspectionFileQuestionTypeCodeEnum {

    EDIT_IS_FAILED(1240800, "修改数据失败"),
    ID_IS_NULL(1240801, "任务问题id为空"),
    QUESTION_NAME_IS_NULL(1240802, "问题类型为空"),
    INSPECTION_FILE_IS_NOT_EXIST(1240803, "任务问题不存在"),
    QUESTION_TYPE_IS_NOT_EXIST(1240804, "问题类型不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    EditInspectionFileQuestionTypeCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
